Bug 845852 - Review Request: littleproxy - High Performance HTTP Proxy
Review Request: littleproxy - High Performance HTTP Proxy
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pierre-YvesChibon
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-05 17:35 EDT by gil cattaneo
Modified: 2012-09-18 01:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-30 21:01:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pingou: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-08-05 17:35:52 EDT
Spec URL: http://gil.fedorapeople.org/littleproxy.spec
SRPM URL: http://gil.fedorapeople.org/littleproxy-0.4-1.fc16.src.rpm
Description: LittleProxy is a high performance HTTP proxy written in Java and
using the Netty networking framework.
Fedora Account System Username: gil

a gradle (test) BR
Comment 1 Christophe Burgun 2012-08-07 05:14:34 EDT
Hi Gil,

I just post an informative review :

The build failed (Compilation failure)

see logs in fedora-rawhide :

http://dl.dropbox.com/u/96272944/build.log
Comment 2 gil cattaneo 2012-08-07 06:37:59 EDT
hi
hoops in rawhide netty is 3.5.x
littleproxy require netty 3.2.x
add a patch for netty 3.5.x support
and reupload the pkg
thanks for your report!
regards
Comment 3 gil cattaneo 2012-08-07 23:30:22 EDT
added PATCH0 for resolve this problem
Comment 4 gil cattaneo 2012-08-08 00:01:47 EDT
tested on http://koji.fedoraproject.org/koji/taskinfo?taskID=4367834
Comment 5 Christophe Burgun 2012-08-08 09:18:27 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package contains desktop file if it is a GUI application.
[ ]: MUST Development files must be in a -devel package
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[ ]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* UNKNOWN" For detailed output of licensecheck see file:
     /home/builder/rpmbuild/littleproxy/licensecheck.txt
[ ]: MUST License file installed when any subpackage combination is installed.
[ ]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[ ]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[ ]: MUST Package is not relocatable.
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[ ]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[ ]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[ ]: SHOULD Package has BuildArch: noarch (if possible)
[ ]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[ ]: MUST Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[ ]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

Rpmlint
-------
Checking: littleproxy-0.4-1.fc18.noarch.rpm
          littleproxy-javadoc-0.4-1.fc18.noarch.rpm
          littleproxy-0.4-1.fc18.src.rpm
littleproxy.noarch: W: invalid-url URL: http://www.littleshoot.org/littleproxy/ <urlopen error [Errno 101] Network is unreachable>
littleproxy-javadoc.noarch: W: invalid-url URL: http://www.littleshoot.org/littleproxy/ <urlopen error [Errno 101] Network is unreachable>
littleproxy.src: W: invalid-url URL: http://www.littleshoot.org/littleproxy/ <urlopen error [Errno 101] Network is unreachable>
littleproxy.src: W: invalid-url Source0: littleproxy-0.4-src-git.tar.xz
3 packages and 0 specfiles checked; 0 errors, 4 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint littleproxy-javadoc
littleproxy-javadoc.noarch: W: invalid-url URL: http://www.littleshoot.org/littleproxy/ <urlopen error [Errno 101] Network is unreachable>
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'

Requires
--------
littleproxy-0.4-1.fc18.noarch.rpm (rpmlib, GLIBC filtered):

    apache-commons-codec
    apache-commons-io
    apache-commons-lang
    ehcache-core
    java
    jpackage-utils
    log4j
    netty
    slf4j

littleproxy-javadoc-0.4-1.fc18.noarch.rpm (rpmlib, GLIBC filtered):

    jpackage-utils

Provides
--------
littleproxy-0.4-1.fc18.noarch.rpm:

    littleproxy = 0.4-1.fc18
    mvn(org.littleshoot:littleproxy) = 0.4

littleproxy-javadoc-0.4-1.fc18.noarch.rpm:

    littleproxy-javadoc = 0.4-1.fc18

MD5-sum check
-------------

Build without errors 

Can you please explain how to test the littleproxy ?
Comment 6 gil cattaneo 2012-08-08 11:24:02 EDT
sorry i not understand what you mean with "test the littleproxy"
hi
Comment 7 Christophe Burgun 2012-08-08 11:44:06 EDT
I have install your packages but can you give a way to test littleproxy ?
Comment 8 gil cattaneo 2012-08-11 04:16:23 EDT
no sorry i use the library only as build requires
for question about usage see here https://groups.google.com/forum/#!forum/littleproxy
Comment 9 Christophe Burgun 2012-08-17 04:27:40 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[?]: MUST Package uses nothing in %doc for runtime.
[-]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* UNKNOWN" For detailed output of licensecheck see file:
     /home/builder/rpmbuild/littleproxy/licensecheck.txt
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[?]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[-]: SHOULD Package does not include license text files separate from
     upstream.
[?]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[?]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[?]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[-]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[x]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms


Issues:

[?]: SHOULD %check is present and all tests pass.
You could add a %check with junit

Otherwise all Ok for me.

Rpmlint
-------
Checking: littleproxy-0.4-1.fc19.src.rpm
          littleproxy-javadoc-0.4-1.fc19.noarch.rpm
          littleproxy-0.4-1.fc19.noarch.rpm
littleproxy.src: W: invalid-url Source0: littleproxy-0.4-src-git.tar.xz
3 packages and 0 specfiles checked; 0 errors, 1 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint littleproxy
littleproxy.noarch: W: invalid-url URL: http://www.littleshoot.org/littleproxy/ <urlopen error [Errno 101] Network is unreachable>
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'

Requires
--------
littleproxy-javadoc-0.4-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):

    jpackage-utils

littleproxy-0.4-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):

    apache-commons-codec
    apache-commons-io
    apache-commons-lang
    ehcache-core
    java
    jpackage-utils
    log4j
    netty
    slf4j

Provides
--------
littleproxy-javadoc-0.4-1.fc19.noarch.rpm:

    littleproxy-javadoc = 0.4-1.fc19

littleproxy-0.4-1.fc19.noarch.rpm:

    littleproxy = 0.4-1.fc19
    mvn(org.littleshoot:littleproxy) = 0.4

MD5-sum check
-------------


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/bin/fedora-review -n littleproxy
External plugins:
Comment 10 gil cattaneo 2012-08-17 04:58:27 EDT
(In reply to comment #9)
> Issues:

> [?]: SHOULD %check is present and all tests pass.
> You could add a %check with junit
with maven isnt possible add a %%check section without rebuild littleproxy ...

-------------------------------------------------------
 T E S T S
-------------------------------------------------------
Running org.littleshoot.proxy.HttpRequestUriRuleTest
Tests run: 1, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.198 sec
Running org.littleshoot.proxy.DefaultProxyCacheManagerTest
Tests run: 1, Failures: 0, Errors: 0, Skipped: 1, Time elapsed: 0 sec
Running org.littleshoot.proxy.HttpProxyTest
Tests run: 1, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.001 sec

Results :

Tests run: 3, Failures: 0, Errors: 0, Skipped: 1
Comment 11 gil cattaneo 2012-08-17 05:06:29 EDT
please changing
Assigned To: 	clicking on (take) 
and Flags field with +
thanks
Comment 12 gil cattaneo 2012-08-17 05:10:38 EDT
New Package SCM Request
=======================
Package Name: littleproxy
Short Description: High Performance HTTP Proxy
Owners: gil
Branches: f17 f18
InitialCC: java-sig
Comment 13 Christophe Burgun 2012-08-17 05:11:34 EDT
Hi gil 
Sorry for the confusion, I am not yet an approved packager so this was an informal review for your package
Comment 14 Pierre-YvesChibon 2012-08-17 05:13:37 EDT
Christophe isn't an approved packager yet and as such cannot approve your package.
Comment 15 gil cattaneo 2012-08-17 05:16:21 EDT
ok dont worry, no problems
please ignore comment #12
Comment 16 Stanislav Ochotnicky 2012-08-17 05:16:36 EDT
To explain this perhaps a little more clearly. When we have:
mvn-rpmbuild package (or install)

unit tests are run automatically after compiling classes and *before* creating jar files. So we cannot have jar files without testing really. Therefore it doesn't make much sense to have %check section with maven packages.

Perhaps with one exception, but this is not in guidelines yet:
if we run "mvn-rpmbuild package" we skip running integration tests. So in that case a %check section with "mvn-rpmbuild verify" makes sense.
Comment 17 Christophe Burgun 2012-08-17 05:20:53 EDT
ok i have see the Test in build.log sorry it was my fault 

So for me all is Ok for this informal review

Thanks for explanation :)
Comment 18 Pierre-YvesChibon 2012-08-22 04:42:48 EDT
Since Christophe has already done a good part of the work, I was hoping I could approve this package in one go, but no such luck!

The package does not build fo F17 or F16:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4412812
http://koji.fedoraproject.org/koji/taskinfo?taskID=4412867

Note that it does build on rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4412837

I will do the review against rawhide but F17 will need to be fixed
Comment 19 Pierre-YvesChibon 2012-08-22 05:13:19 EDT
Ok this look all nice.

The only piece missing from Christoph review is the sha1sum:
local:
bf7bce8fb3d66612b827220e9b2039031fdf1a9a  littleproxy-0.4-src-git.tar.xz
generate from the git using scriptlet described in the comment:
bf7bce8fb3d66612b827220e9b2039031fdf1a9a  srpm-unpacked/littleproxy-0.4-src-git.tar.xz

So once the build on F17 is fixed I think we're good to go
Comment 20 Mikolaj Izdebski 2012-08-22 05:38:04 EDT
FTBFS on F17 is caused by too old version of javapackages-tools.
F16 has missing a dependency (ehcache-core), but even if it is added similar problem with javapackages-tools will occur.
Comment 21 Pierre-YvesChibon 2012-08-22 05:44:42 EDT
So Gil can you confirm you do not plan to ask for a F17 branch (which you did in comment #12) ?

I'll approve after that :)
Comment 22 gil cattaneo 2012-08-22 05:57:40 EDT
hi
now it seems fine...
Spec URL: http://gil.fedorapeople.org/littleproxy.spec
SRPM URL: http://gil.fedorapeople.org/littleproxy-0.4-1.fc16.src.rpm

koji build f17 --scratch /home/gil/rpmbuild/SRPMS/littleproxy-0.4-1.fc16.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=4413068
http://kojipkgs.fedoraproject.org//work/tasks/3071/4413071/build.log

koji build f18 --scratch /home/gil/rpmbuild/SRPMS/littleproxy-0.4-1.fc16.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=4413067
http://kojipkgs.fedoraproject.org//work/tasks/3070/4413070/build.log

in f17 also there isn't netty 3.5.x
if it is not a problem, i'd also use the package in f17.
i made changes to the spec file for this purpose
thanks
Comment 23 Pierre-YvesChibon 2012-08-22 06:03:40 EDT
Can you please increase the release of the spec and populate the changelog with the corresponding changes.
Comment 25 Pierre-YvesChibon 2012-08-22 06:20:48 EDT
Ok this looks good so I'm going to approve it. Please next time be a little more extensive on what changed you did to the spec (adapted for F17 by ...).

APPROVED
Comment 26 gil cattaneo 2012-08-22 06:23:13 EDT
New Package SCM Request
=======================
Package Name: littleproxy
Short Description: High Performance HTTP Proxy
Owners: gil
Branches: f17 f18
InitialCC: java-sig
Comment 27 Pierre-YvesChibon 2012-08-22 06:35:57 EDT
Let's put the flags correctly :-)
Comment 28 Gwyn Ciesla 2012-08-22 07:11:26 EDT
Git done (by process-git-requests).
Comment 29 Fedora Update System 2012-08-22 09:56:26 EDT
littleproxy-0.4-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/littleproxy-0.4-2.fc18
Comment 30 Fedora Update System 2012-08-22 10:13:59 EDT
littleproxy-0.4-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/littleproxy-0.4-2.fc17
Comment 31 Fedora Update System 2012-08-22 10:40:03 EDT
littleproxy-0.4-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 32 Fedora Update System 2012-08-30 21:01:09 EDT
littleproxy-0.4-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 33 Fedora Update System 2012-09-17 18:28:24 EDT
littleproxy-0.4-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.